LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
tree_node_< T > Class Template Reference

A node in the tree, combining links to other nodes as well as the actual data. More...

## Data Fields
tree_node_< T > * | parent
tree_node_< T > * | first_child
tree_node_< T > * | last_child
tree_node_< T > * | prev_sibling
tree_node_< T > * | next_sibling
T | data

## Detailed Description

### template<class T>
class tree_node_< T >

A node in the tree, combining links to other nodes as well as the actual data.

Definition at line 95 of file lib/tree.hh.

The documentation for this class was generated from the following files:

- lib/tree.hh
- libofx-0.9.5/lib/tree.hh
- tar-pax-libofx/lib/tree.hh